org.richfaces.component

## Class AbstractColumnGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.component.AbstractColumnGroup

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, Column, Row
  Direct Known Subclasses:
    UIColumnGroup

      public abstract class AbstractColumnGroup
      extends javax.faces.component.UIPanel
      implements Row, Column

  The <rich:columnGroup> component combines multiple columns in a single row to organize complex parts of a table. The resulting effect is similar to using the breakRowBefore attribute of the <rich:column> component, but is clearer and easier to follow in the source code.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractColumnGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<javax.faces.component.UIComponent>` | `columns()` Get iterator for all columns contained in this row.
    `void` | `setBreakBefore(boolean newBreakBefore)`
    `void` | `setRowKey(javax.faces.context.FacesContext context, Object rowKey)`
    `void` | `walk(javax.faces.context.FacesContext context, org.richfaces.model.DataVisitor visitor, Object argument)`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractColumnGroup

          public AbstractColumnGroup()

  - ### Method Detail

    - #### columns

          public Iterator<javax.faces.component.UIComponent> columns()

      Description copied from interface: `Row`
      Get iterator for all columns contained in this row.
      Specified by:
        `columns` in interface `Row`

    - #### setBreakBefore

          public void setBreakBefore(boolean newBreakBefore)

    - #### setRowKey

          public void setRowKey(javax.faces.context.FacesContext context,
                       Object rowKey)

      Specified by:
        `setRowKey` in interface `Row`

    - #### walk

          public void walk(javax.faces.context.FacesContext context,
                  org.richfaces.model.DataVisitor visitor,
                  Object argument)

      Specified by:
        `walk` in interface `Row`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.